### File

`packages/base/src/lib/ux-models/ux-error-feedback.model.ts`

### Implements

`UxErrorInfo` `UxHttpErrorInfo` `UxErrorFeedback`

### Index

###### Properties

- Optional code
- description
- Optional details
- Optional doc
- Optional errGroupMap
- msgId
- Optional requestId
- severity
- Optional subErrors

###### Methods

- getFeedBacks

### Constructor

`constructor(info, errorFeedback: UxErrorFeedback, subErrors?: SubErrors, errGroupMap?: Array<UxErrorGroupMap>)`

Parameters :

Name | Type | Optional
info |  | No
errorFeedback | `UxErrorFeedback` | No
subErrors | `SubErrors` | Yes
errGroupMap | `Array<UxErrorGroupMap>` | Yes

### Properties

Optional code
Type : `string`

description
Type : `string`

Optional details
Type : `DETAILS`

Optional doc
Type : `string`

Optional errGroupMap
Type : `Array<UxErrorGroupMap>`

msgId
Type : `string`

Optional requestId
Type : `string`

severity
Default value : `UxMessageSeverity.danger`

Optional subErrors
Type : `SubErrors`

### Methods

getFeedBacks
`getFeedBacks(byKey?: string)`

Parameters :

Name | Type | Optional
byKey | `string` | Yes

Returns : `Array<UxErrorFeedback>`

# results matching ""

# No results matching ""